function wrapInBlock(node) {
  return {
    body: [node],
    directives: [],
    type: "BlockStatement"
  };
}
function modifyNodeIfMissingBrackets(node) {
  switch (node.type) {
    case "DoWhileStatement":
    case "ForStatement":
    case "ForInStatement":
    case "ForOfStatement":
    case "WhileStatement":
      if (node.body.type !== "BlockStatement") {
        node.body = wrapInBlock(node.body);
        return true;
      }
      break;
    case "IfStatement": {
      let modified;
      if (node.consequent.type !== "BlockStatement") {
        node.consequent = wrapInBlock(node.consequent);
        modified = true;
      }
      if (node.alternate && !["BlockStatement", "IfStatement"].includes(node.alternate.type)) {
        node.alternate = wrapInBlock(node.alternate);
        modified = true;
      }
      return modified;
    }
  }
  return false;
}
export {
  modifyNodeIfMissingBrackets
};
//# sourceMappingURL=modifyNodeIfMissingBrackets.js.map